package seabedexplorer.data;

/**
 * PhotoSensorReading. Stores a wavelength, as recorded by a photo-sensor.
 * 
 * @author Dan Lawrence
 */
public class PhotoSensorReading implements Data
{
    /**
     * The wavelength of the detected EM radiation, in nanometres.
     */
    double wavelength;
    
    /**
     * Constructor. Is the only way to set the value of the reading.
     * 
     * @param wavelengthIn The wavelength of the detected EM radiation, in nanometres.
     */
    public PhotoSensorReading(double wavelengthIn) {
        wavelength = wavelengthIn;
        
        System.out.println("Photo-sensor reading stored successfully.\n");
    }
    
    /**
     * Returns the wavelength, of the same data type as it is stored as (double).
     */
    public double getReading() {
        return wavelength;
    }
    
    @Override
    public String toString() {
        
        String reading = "Photosensor reading:\n"
                +        "    Recorded wavelength: " + wavelength + "nm\n"
                +        "    Type of EM radiation received: ";
        
        if (wavelength < 400)
            reading += "Ultra-Violet";
        else if (wavelength > 700)
            reading += "Infra-Red";
        else
           reading += "Visible light";
        
        reading += "\n";
        
        return reading;
    }
}
