
package seabedexplorer.data;

/**
 * SalinityReading. Stores a recorded value of the salinity of the seawater.
 * 
 * @author Dan Lawrence
 */
public class SalinityReading extends WaterReading {
    
    /**
     * The recorded salinity, in parts per thousand.
     */
    double salinity;
    
    /**
     * Constructor. Is the only way to set the value of the recorded pH.
     * 
     * @param salinityIn The recorded salinity, in parts per thousand.
     */
    public SalinityReading(double salinityIn) {
        salinity = salinityIn;
        
        System.out.println("Salinity reading stored successfully.\n");
    }
    
    /**
     * Returns the salinity, of the same data type it is stored as (double).
     */
    public double getReading() {
        return salinity;
    }
    
    @Override
    public String toString() {
        return "Salinity reading:\n"
            +  "    Recorded salinity: " + salinity + "ppt\n";
    }

}
