package seabedexplorer.data;

/**
 * TopographicalMapping. Holds some common data and behaviour between 
 * LaserReading and SonarReading
 * 
 * @author Dan Lawrence
 */
public abstract class TopographicalMapping implements Data
{
    /**
     * The calculated depth of the seabed, in meters.
     */
    double depth;
    
    /**
     * Calculates the depth of the seabed using the stored readings.
     */
    abstract void calculateDepth();
    
    /**
     * Returns the depth, of the same data type it is stored as (double).
     */
    public double getDepth() {
        return depth;
    }
}
