
package seabedexplorer.data;

/**
 * pHReading. Stores a recorded value for the pH of the seawater.
 * 
 * @author Dan Lawrence
 */
public class pHReading extends WaterReading {
    
    /**
     * The recorded pH.
     */
    double pH;
    
    /**
     * Constructor. Is the only way to set the value of the recorded pH.
     * 
     * @param pHIn The recorded pH.
     */
    public pHReading(double pHIn) {
        pH = pHIn;
        
        System.out.println("Seawater pH reading stored successfully.\n");
    }
    
    /**
     * Returns the pH, of the same data type it is stored as (double).
     */
    public double getReading() {
        return pH;
    }
    
    @Override
    public String toString() {
        String reading = "pH Reading:\n"
                       + "    Recorded pH: " + pH + "\n"
                       + "    Acid or Alkali: ";
        
        if (pH < 7)
            reading += "Acid";
        else if (pH > 7)
            reading += "Alkali";
        else
            reading += "Neither";
        
        reading += "\n";
        
        return reading;
    }
}
