package seabedexplorer.submersible;

import java.util.ArrayList;
import seabedexplorer.submersible.state.states.DockedState;

/**
 * ROV (Remote Operated Vehicle) (A type of submersible)
 * 
 * @author JLScott1999
 */
public final class ROV extends Submersible
{
    
    private static final String TYPE = "ROV (Remote Operated Vehicle)";

    /**
     * Constructor
     */
    public ROV()
    {
        super(new ArrayList<>());
        changeState(new DockedState());
    }
    
    /**
     * Returns this object
     * @return <i>Submersible</i> object
     */
    @Override
    public Submersible getSubmersible()
    {
        return this;
    }
    
    @Override
    public void collectData()
    {
        
    }
    
    @Override
    public boolean update(String cmd) {
        return false;
    }

    @Override
    public String getSubmersibleType()
    {
        return TYPE;
    }
    
    @Override
    public String toString()
    {
        return "Type: " + TYPE + "\n" + super.toString();
    }

}
