package seabedexplorer.submersible.equipment.datacollector;

import java.util.concurrent.ThreadLocalRandom;
import seabedexplorer.data.PhotoSensorReading;

/**
 * PhotoSensor. Simulates the behaviour of a photo-sensor detecting 
 * Electro-Magnetic radiation, between Infra-Red and Ultra-Violet, and recording
 * its wavelength.
 * 
 * @author Dan Lawrence
 */
public class DCPhotoSensor implements DataCollector
{

    @Override
    public PhotoSensorReading performReading()
    {
        System.out.println("Taking wavelength reading with photo sensor...");
        
        double actualWavelength = ThreadLocalRandom.current().nextDouble(10,1000000);
        
        double wavelength;
        
        double lowBound = 0;
        double highBound = 0;
        
        if (ThreadLocalRandom.current().nextInt(0, 10) == 0)
            wavelength = ThreadLocalRandom.current().nextDouble(10,1000000);
        else {
            
            if (0.9 * actualWavelength < 10)
                lowBound = 10;
            else if (1.1 * actualWavelength > 1000000)
                highBound = 1000000;
            else {
                lowBound = 0.9 * actualWavelength;
                highBound = 1.1 * actualWavelength;
            }
        
            wavelength = ThreadLocalRandom.current().nextDouble(lowBound,highBound);
        }
        
        return new PhotoSensorReading(wavelength);
    }
    
}
