package seabedexplorer.submersible.equipment.datacollector;

import seabedexplorer.data.Data;

/**
 * DataCollector
 * 
 * @author JLScott1999
 */
public interface DataCollector
{
    /**
     * Simulates the process of the equipment taking whichever reading it is 
     * designed to take, and creates a new specialised Data object to store it.
     * 
     * @return A specialised Data object, that contains the reading that was 
     * taken, alongside any variables which need to be specified, if any, and 
     * any useful values calculated using the reading, if any.
     */
    public Data performReading();
    
}
