package seabedexplorer.submersible.equipment.datacollector.topographicalmapper;

import java.util.concurrent.ThreadLocalRandom;
import seabedexplorer.data.SonarReading;
import seabedexplorer.data.TopographicalMapping;

/**
 * DCSonar. Simulates the behaviour of a sonar emitter/receiver sending a signal
 * towards the seabed, so it can estimate the depth of the sea at that point.
 * 
 * @author Dan Lawrence
 */
public class DCSonar implements DCTopographicalMapper
{

    @Override
    public TopographicalMapping performReading()
    {
        System.out.println("Taking depth reading with sonar emitter/receiver...");
        
        double actualDepth = ThreadLocalRandom.current().nextDouble(0,10000);
        double actualResponseTime = actualDepth / 1.5;
        
        double responseTime;
        
        if (ThreadLocalRandom.current().nextInt(0, 10) == 0)
            responseTime = ThreadLocalRandom.current().nextDouble(10000);
        else
            responseTime = ThreadLocalRandom
                            .current()
                            .nextDouble(0.9 * actualResponseTime, 1.1* actualResponseTime);
        
        return new SonarReading(responseTime);
    }
    
}
                            