package seabedexplorer.submersible.equipment.datacollector.waterreadings;

import java.util.concurrent.ThreadLocalRandom;
import seabedexplorer.data.IndexOfRefractionReading;
import seabedexplorer.data.WaterReading;

/**
 * DCIndexOfRefraction. Generates an angle of refraction, using a given angle of
 * incidence, and stores the reading in a specialised Data class.
 * 
 * @author Dan Lawrence
 */
public class DCIndexOfRefraction implements DCWaterReadings
{
    /**
     * The angle of incidence, i.e. the angle at which the ray of light enters 
     * the water.
     */
    double angleOfIncidence;
    
    public DCIndexOfRefraction(double angleOfIncidenceIn) {
        angleOfIncidence = angleOfIncidenceIn;
    }
    
    @Override
    public WaterReading performReading()
    {
        System.out.println("Taking a refraction index reading of the seawater; incidence angle of "
                + angleOfIncidence + "°...");
        
        double actualAngleOfRefraction = angleOfIncidence / 1.38;
        
        double AngleOfRefraction;
        
        if (ThreadLocalRandom.current().nextInt(0, 10) == 0)
            AngleOfRefraction = ThreadLocalRandom.current().nextDouble(0,90);
        else
            AngleOfRefraction = ThreadLocalRandom.current().nextDouble(0.9 * actualAngleOfRefraction, 1.1 * actualAngleOfRefraction);
        
        return new IndexOfRefractionReading(AngleOfRefraction, angleOfIncidence);
    }   
}
