package seabedexplorer.submersible.equipment.datacollector.waterreadings;

import java.util.concurrent.ThreadLocalRandom;
import seabedexplorer.data.pHReading;
import seabedexplorer.data.WaterReading;

/**
 * DCPH. Simulates the behaviour of a pH strip. A pH is recorded, within the 
 * real pH range of seawater (7.5, 8.4), and the result saved to a specialised 
 * Data class.
 * 
 * @author Dan Lawrence
 */
public class DCPH implements DCWaterReadings
{
    
    @Override
    public WaterReading performReading()
    {
        System.out.println("Taking pH reading of the seawater, with a pH strip...");
    
        double pH;
        
        if (ThreadLocalRandom.current().nextInt(0, 10) == 0)
            pH = ThreadLocalRandom.current().nextDouble(1,14);
        else
            pH = ThreadLocalRandom.current().nextDouble(7.5, 8.4);
        
        return new pHReading(pH);
    }
    
}
