package seabedexplorer.submersible.equipment.datacollector.waterreadings;

import java.util.concurrent.ThreadLocalRandom;
import seabedexplorer.data.SalinityReading;
import seabedexplorer.data.WaterReading;

/**
 * DCSalinity. Generates a value for the recorded salinity, close to the actual
 * salinity of seawater, and stores it in a specialised Data class.
 * 
 * @author Dan Lawrence
 */
public class DCSalinity implements DCWaterReadings
{
    
    @Override
    public WaterReading performReading()
    {
        System.out.println("Taking salinity reading of the seawater...");
        
        double actualSalinity = 35;
        
        double Salinity;
        
        if (ThreadLocalRandom.current().nextInt(0, 10) == 0)
            Salinity = ThreadLocalRandom.current().nextDouble(0,1000);
        else
            Salinity = ThreadLocalRandom.current().nextDouble(0.9 * actualSalinity, 1.1 * actualSalinity);
        
        return new SalinityReading(Salinity);
    }
    
}