package seabedexplorer.submersible.equipment.materialsampler;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.materialsampler.DCChemicalScanner;

/**
 * ChemicalScanner
 * 
 * @author JLScott1999
 */
public class ChemicalScanner extends MaterialSampler
{
    
    public ChemicalScanner(Submersible drone, double volumeIn)
    {
        super(drone, new DCChemicalScanner(volumeIn));
        
        sampleVolume = volumeIn;
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Chemical Scanner";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("scan")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
