package seabedexplorer.submersible.equipment.materialsampler;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.materialsampler.DCHotFluidSampler;

/**
 * HotFluidSampler
 * 
 * @author JLScott1999
 */
public class HotFluidSampler extends MaterialSampler
{
    
    public HotFluidSampler(Submersible drone, double volumeIn)
    {
        super(drone, new DCHotFluidSampler(volumeIn));
        
        sampleVolume = volumeIn;
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Hot Fluid Sampler";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("fluid")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
