package seabedexplorer.submersible.equipment.materialsampler;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.materialsampler.DCRockCoringDrill;

/**
 * RockCoringDrill
 * 
 * @author JLScott1999
 */
public class RockCoringDrill extends MaterialSampler
{
    
    public RockCoringDrill(Submersible drone, double volumeIn)
    {
        super(drone, new DCRockCoringDrill(volumeIn));
        
        sampleVolume = volumeIn;
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Rock-Coring Drill";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("drill")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
