package seabedexplorer.submersible.equipment.waterreadings;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.datacollector.waterreadings.DCIndexOfRefraction;

/**
 * IndexOfRefraction
 * 
 * @author JLScott1999
 */
public class IndexOfRefraction extends WaterReadings
{
    double angleOfIncidence;
    
    public IndexOfRefraction(Submersible drone, double angleOfIncidenceIn)
    {
        super(drone, new DCIndexOfRefraction(angleOfIncidenceIn));
        
        angleOfIncidence = angleOfIncidenceIn;      
    }
    
    @Override
    public String toString()
    {
        return super.toString() + "Index Of Refraction";
    }

    @Override
    public boolean update(String cmd) {
        boolean result;
        if(cmd.equalsIgnoreCase("refraction")){
            this.collectData();
            result = true;
        } else {
            result = super.update(cmd);
        }
        return result;
    }
    
}
