package seabedexplorer.submersible.state.states;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.SubmersibleState;
import seabedexplorer.util.movement.MovementEmulation;

public class BusyActionState implements SubmersibleState
{
    
    Submersible subContext;
    
    @Override
    public boolean move(Location loc)
    {
        System.out.println("Unable to move while another action is taking place.");
        return false;
    }
    
    @Override
    public boolean stopMove()
    {
        System.out.println("Unable to stop movement, movement not currently in action.");
        return false;
    }
    
    @Override
    public boolean canMove()
    {
        return false;
    }
    
    @Override
    public String toString()
    {
        return "Busy (Action in progress)";
    }

    @Override
    public void submersibleInstance(Submersible submersible)
    {
        subContext = submersible;
    }

    @Override
    public boolean returnToVessel()
    {
        System.out.println("Unable to return while an action is taking place.");
        return false;
    }

    @Override
    public boolean collectWater()
    {
        System.out.println("Unable to collect water readings when another action is taking place.");
        return false;
    }

    @Override
    public boolean collectMaterial()
    {
        System.out.println("Unable to collect material samples when another action is taking place.");
        return false;
    }

    @Override
    public boolean collectMappingData()
    {
        System.out.println("Unable to collect mapping data when another action is taking place.");
        return false;
    }
    
}
