
package seabedexplorer.submersible.state.states;

import seabedexplorer.submersible.Submersible;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.SubmersibleState;
import seabedexplorer.util.movement.MovementEmulation;

/**
 *
 * @author Stedos
 */
public class DeployState implements SubmersibleState
{
    
    private Submersible subContext;
    private MovementEmulation ME;
    
    @Override
    public boolean move(Location loc)
    {
        System.out.println("Unable to move while deploying.");
        return false;
    }
    
    @Override
    public boolean stopMove()
    {
        System.out.println("Unable to stop moving while deploying.");
        return false;
    }
    
    @Override
    public boolean canMove()
    {
        return false;
    }

    @Override
    public String toString()
    {
        return "Deployed";
    }

    @Override
    public void submersibleInstance(Submersible submersible)
    {
        subContext = submersible;
    }
    

    @Override
    public boolean returnToVessel()
    {
        System.out.println("Unable to return while deploying.");
        return false;
    }

    @Override
    public boolean collectWater()
    {
        System.out.println("Unable to collect water sample while deploying.");
        return false;
    }

    @Override
    public boolean collectMaterial()
    {
        System.out.println("Unable to collect material sample while deploying.");
        return false;
    }

    @Override
    public boolean collectMappingData()
    {
        System.out.println("Unable to collect mapping data while deploying.");
        return false;
    }
  
}
