package seabedexplorer.util.submersible;

import java.util.ArrayList;
import java.util.Collection;
import seabedexplorer.submersible.Submersible;

/**
 * SubmersibleUtil
 * 
 * @author JLScott1999
 */
public class SubmersibleUtil
{
    
    private SubmersibleUtil()
    {
        
    }
    
    /**
     * generate a up to a certain amount of submersibles.
     * @param max The maximum amount of subs to create
     * @return a collection of submersibles with 1 - max amount
     */
    public static Collection<Submersible> GenerateRandomSubmersibles(int max)
    {
        Collection<Submersible> result = new ArrayList<>();
        for (int i = 0; i < (int)(Math.random() * max + 1); i++)
        {
            SubmersibleType s = null;
            switch ((int)(Math.random() * 3 + 1))
            {
                case 1:
                {
                    s = SubmersibleType.AUTOMATED_UNDERWATER_VEHICLE;
                    break;
                }
                case 2:
                {
                    s = SubmersibleType.MANNED_SUBMERSIBLE;
                    break;
                }
                case 3:
                {
                    s = SubmersibleType.REMOTE_OPERATED_VEHICLE;
                    break;
                }
            }
            result.add(new SubmersibleBuilder(s).addRandom().build());
        }
        return result;
    }
    
}
