package observer_pattern_tests.submersible.equipment.materialsampler;

import static org.hamcrest.CoreMatchers.equalTo;
import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.not;
import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.materialsampler.ChemicalScanner;

/**
 *
 * @author Dylan Currey
 */
public class ChemicalScannerTest {
    
    public ChemicalScannerTest() {
    }

    /**
     * Test of update method, of class ChemicalScanner.
     */
    @Test
    public void testUpdate() {
        System.out.println("update");
        ChemicalScanner s = new ChemicalScanner(new ROV(), 1);
        String before = s.toString();
        s.update("scan");
        String after = s.toString();
        assertThat(after, is(not(equalTo(before))));
    }
    
}
