package state_pattern_tests.states;

import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.states.BusyActionState;
import seabedexplorer.submersible.state.states.IdleState;

public class BusyActionStateTest {
    
    public BusyActionStateTest() {
    }

    @Test
    public void BusyActionStateTestCanMove() 
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.canMove());
    }
    
    @Test
    public void BusyActionStateTestMove()
    {
        BusyActionState is = new BusyActionState();
        is.submersibleInstance(new ROV());
        assertFalse(is.move(new Location(5, 5, 5)));
    }
    
    @Test
    public void BusyActionStatesTestStopMove()
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.stopMove());
    }
    
    @Test
    public void BusyActionStateString()
    {
        BusyActionState is = new BusyActionState();
        assertEquals(is.toString(), "Busy (Action in progress)");
    }
    
    @Test
    public void BusyActionStateReturnToVesel()
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.returnToVessel());
    }
    
    @Test
    public void BusyActionStateCollectWater()
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.collectWater());
    }
    
    @Test
    public void BusyActionStateCollectMaterial()
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.collectMaterial());
    }
    
    @Test
    public void BusyActionStateCollectMapping()
    {
        BusyActionState is = new BusyActionState();
        assertFalse(is.collectMappingData());
    }
}
