package state_pattern_tests.states;

import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.states.DeployState;
import seabedexplorer.submersible.state.states.IdleState;

public class DeployStateTest {
    
    public DeployStateTest() {
    }

    @Test
    public void DeployStateTestCanMove() 
    {
        DeployState is = new DeployState();
        assertFalse(is.canMove());
    }
    
    @Test
    public void DeployStateTestMove()
    {
        DeployState is = new DeployState();
        is.submersibleInstance(new ROV());
        assertFalse(is.move(new Location(5, 5, 5)));
    }
    
    @Test
    public void DeployStatesTestStopMove()
    {
        DeployState is = new DeployState();
        assertFalse(is.stopMove());
    }
    
    @Test
    public void DeployStateString()
    {
        DeployState is = new DeployState();
        assertEquals(is.toString(), "Deployed");
    }
    
    @Test
    public void DeployStateReturnToVesel()
    {
        DeployState is = new DeployState();
        assertFalse(is.returnToVessel());
    }
    
    @Test
    public void DeployStateCollectWater()
    {
        DeployState is = new DeployState();
        assertFalse(is.collectWater());
    }
    
    @Test
    public void DeployStateCollectMaterial()
    {
        DeployState is = new DeployState();
        assertFalse(is.collectMaterial());
    }
    
    @Test
    public void DeployStateCollectMapping()
    {
        DeployState is = new DeployState();
        assertFalse(is.collectMappingData());
    }
}
