package state_pattern_tests.states;

import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.states.DockedState;
import seabedexplorer.submersible.state.states.IdleState;

public class DockedStateTest {
    
    public DockedStateTest() {
    }

    @Test
    public void DockedStateTestCanMove() 
    {
        DockedState is = new DockedState();
        assertTrue(is.canMove());
    }
    
    @Test
    public void DockedStateTestMove()
    {
        DockedState is = new DockedState();
        is.submersibleInstance(new ROV());
        assertTrue(is.move(new Location(5, 5, 5)));
    }
    
    @Test
    public void DockedStatesTestStopMove()
    {
        DockedState is = new DockedState();
        assertFalse(is.stopMove());
    }
    
    @Test
    public void DockedStateString()
    {
        DockedState is = new DockedState();
        assertEquals(is.toString(), "Docked");
    }
    
    @Test
    public void DockedStateReturnToVesel()
    {
        DockedState is = new DockedState();
        assertFalse(is.returnToVessel());
    }
    
    @Test
    public void DockedStateCollectWater()
    {
        DockedState is = new DockedState();
        assertFalse(is.collectWater());
    }
    
    @Test
    public void DockedStateCollectMaterial()
    {
        DockedState is = new DockedState();
        assertFalse(is.collectMaterial());
    }
    
    @Test
    public void DockedStateCollectMapping()
    {
        DockedState is = new DockedState();
        assertFalse(is.collectMappingData());
    }
}
