package state_pattern_tests.states;

import org.junit.Test;
import static org.junit.Assert.*;
import seabedexplorer.submersible.ROV;
import seabedexplorer.submersible.equipment.locationtracking.Location;
import seabedexplorer.submersible.state.states.IdleState;

public class IdleStateTest {
    
    @Test
    public void IdleStateTestCanMove() 
    {
        IdleState is = new IdleState();
        assertTrue(is.canMove());
    }
    
    @Test
    public void IdleStateTestMove()
    {
        IdleState is = new IdleState();
        is.submersibleInstance(new ROV());
        assertTrue(is.move(new Location(5, 5, 5)));
    }
    
    @Test
    public void IdleStatesTestStopMove()
    {
        IdleState is = new IdleState();
        assertFalse(is.stopMove());
    }
    
    @Test
    public void IdleStateString()
    {
        IdleState is = new IdleState();
        assertEquals(is.toString(), "Idle");
    }
    
    @Test
    public void IdleStateReturnToVesel()
    {
        IdleState is = new IdleState();
        is.submersibleInstance(new ROV());
        assertTrue(is.returnToVessel());
    }
    
    @Test
    public void IdleStateCollectWater()
    {
        IdleState is = new IdleState();
        is.submersibleInstance(new ROV());
        assertTrue(is.collectWater());
    }
    
    @Test
    public void IdleStateCollectMaterial()
    {
        IdleState is = new IdleState();
        is.submersibleInstance(new ROV());
        assertTrue(is.collectMaterial());
    }
    
    @Test
    public void IdleStateCollectMapping()
    {
        IdleState is = new IdleState();
        is.submersibleInstance(new ROV());
        assertTrue(is.collectMappingData());
    }
}
